*
* DUM/PAP 7/18/83  BY R. SHIPP (460-9353)
ERASE
? '==============================================='
?
? ' PRINT FILE ON 8 1/2 X 11 PAPER'
? ' ------------------------------'
DO INDEX
USE B:&FILE INDEX A:&IFILE
DO CODSEL
STORE STR(#,4) TO RECORD
STORE (0) TO COUNT
STORE (60) TO COUNTER
STORE (1) TO PAGE
STORE T TO LAST
STORE "CODEF" TO MY
SET PRINT ON
? CHR(27)+CHR(81)
* SET PRINTER TO CONDENSED PRINT FOR THIS PROGRAM
SET PRINT OFF
SET MARGIN TO 14
STORE 'GLENMONT UNITED METHODIST CHURCH PRINTOUT' TO TITLE
SET PRINT ON
? TITLE+'                 DATE = '+DATE()+'             PAGE # 1'
? '                                           CODES USED = '+;
  C1+'    '+C2+'    '+C3+'    '+C4+'    '+C5+'    '+C6
DO WHILE.NOT.EOF
SET PRINT OFF
STORE '            ' TO MNAMEL
STORE '           ' TO MNAMEF
STORE '        ' TO MCODEF
STORE '      ' TO MCODES
STORE '  ' TO YEAR
STORE '                       ' TO MSTREET
STORE '                ' TO MCITY
STORE '  ' TO MSTATE
STORE '         ' TO MZIP
STORE '        ' TO MPHONE
STORE '     ' TO MMAP
STORE "&RECN" TO RECH
STORE ' ' TO RECN
IF *
   SKIP
   LOOP
ENDIF
IF CHECKING = T
   STORE T TO CHECK
ELSE
   STORE F TO CHECK
ENDIF
DO WHILE CHECK
STORE ' ' TO CC1
STORE ' ' TO CC2
STORE ' ' TO CC3
STORE ' ' TO CC4
STORE ' ' TO CC5
STORE ' ' TO CC6
STORE ($(CODES,1,1)) TO CC1
STORE ($(CODES,2,1)) TO CC2
STORE ($(CODES,3,1)) TO CC3
STORE ($(CODES,4,1)) TO CC4
STORE ($(CODES,5,1)) TO CC5
STORE ($(CODES,6,1)) TO CC6
DO CASE
CASE C1 $ CODES
CASE C2 $ CODES
CASE C3 $ CODES
CASE C4 $ CODES
CASE C5 $ CODES
CASE C6 $ CODES
OTHERWISE
   SKIP
   IF EOF
      STORE F TO CHECK
      STORE F TO LAST
   ENDIF
   LOOP
ENDCASE
STORE F TO CHECK
ENDDO
IF LAST = T
STORE STR(#,4) TO RECORD
STORE NAMEL TO MNAMEL
STORE NAMEF TO MNAMEF
STORE CODEF TO MCODEF
STORE CODES TO MCODES
STORE YEAR TO MYEAR
STORE ($(&MY,1,6)) TO RECN
IF "&RECN" <> "&RECH"
STORE STREET TO MSTREET
STORE CITY TO MCITY
STORE STATE TO MSTATE
STORE ZIP TO MZIP
STORE PHONE TO MPHONE
STORE MAP TO MMAP
ENDIF
SET PRINT ON
?  MNAMEL+' '+MNAMEF+' '+MPHONE+' '+MCODEF+' '+MCODES+' '+MYEAR+' '+;
   MSTREET+' '+MCITY+' '+MSTATE+' '+MZIP+' '+MMAP+' '+STR(#,4)
SET PRINT OFF
SKIP
STORE (COUNTER-1) TO COUNTER
STORE (COUNT+1) TO COUNT
IF COUNTER = 0
   STORE (1+PAGE) TO PAGE
   SET PRINT ON
   ? '-----------------------------------------------------------------------'
   ?
   ?
   ?
   ? TITLE+'              DATE = '+DATE()+'            PAGE # '+STR(PAGE,4)


   ? '                                     CODES USED = '+;
   C1+'    '+C2+'    '+C3+'    '+C4+'    '+C5+'    '+C6
   SET PRINT OFF
   STORE (60) TO COUNTER
ENDIF
ENDIF
ENDDO
SET PRINT ON
? '--------------------------------------------------------------------'
? ' TOTAL NUMBER OF RECORDS PRINTED = '+STR(COUNT,4)
?
? CHR(27)+CHR(78)
* SET PRINTER BACK TO NORMAL PRINT
SET PRINT OFF
DO MENU
* THE END -- DUM/PAP
*



















